### Method

# WebKitWebExtension DOMHTMLTextAreaElement set_selection_range

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_html_text_area_element_set_selection_range (
      WebKitDOMHTMLTextAreaElement* self,
      glong start,
      glong end,
      const gchar* direction
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`start`

  Type: `glong`

  A #glong.

`end`

  Type: `glong`

  A #glong.

`direction`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.